import { renderless, api } from '@opentinyvue/vue-renderless/currency/vue';
import { defineComponent, props, setup } from '@opentinyvue/vue-common';
import SelectMobile from '@opentinyvue/vue-select-mobile';

function normalizeComponent(scriptExports, render, staticRenderFns, functionalTemplate, injectStyles, scopeId, moduleIdentifier, shadowMode) {
  var options = typeof scriptExports === "function" ? scriptExports.options : scriptExports;
  if (render) {
    options.render = render;
    options.staticRenderFns = staticRenderFns;
    options._compiled = true;
  }
  var hook;
  if (injectStyles) {
    hook = injectStyles;
  }
  if (hook) {
    if (options.functional) {
      options._injectStyles = hook;
      var originalRender = options.render;
      options.render = function renderWithStyleInjection(h, context) {
        hook.call(context);
        return originalRender(h, context);
      };
    } else {
      var existing = options.beforeCreate;
      options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
    }
  }
  return {
    exports: scriptExports,
    options
  };
}

var render = function render2() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c("tiny-select-mobile", _vm._b({
    attrs: {
      "data-tag": "tiny-currency",
      "mode": _vm.mode,
      "model-value": _vm.state.selectedValue,
      "menus": _vm.state.options,
      "value-field": "value",
      "text-field": "label",
      "title": _vm.title || _vm.t("ui.currency.chooseCurrency"),
      "placeholder": _vm.placeholder,
      "multiple": _vm.multiple,
      "visible": _vm.visible,
      "search-config": _vm.state.searchConfig
    },
    on: {
      "update:modelValue": function updateModelValue($event) {
        return _vm.$emit("update:modelValue", $event);
      },
      "update:visible": _vm.visibleChange
    }
  }, "tiny-select-mobile", _vm.a(_vm.$attrs, ["^on[A-Z]"]), false));
};
var staticRenderFns = [];
var __vue2_script = defineComponent({
  inheritAttrs: false,
  components: {
    TinySelectMobile: SelectMobile
  },
  emits: ["update:modelValue", "change", "clear", "visible-change", "update:visible"],
  props: [].concat(props, ["visible", "modelValue", "title", "mode", "multiple", "searchConfig", "fetchCurrency", "fields", "placeholder", "currency"]),
  setup: function setup$1(props2, context) {
    return setup({
      props: props2,
      context,
      renderless,
      api
    });
  }
});
var __cssModules = {};
var __component__ = /* @__PURE__ */ normalizeComponent(__vue2_script, render, staticRenderFns, false, __vue2_injectStyles);
function __vue2_injectStyles(context) {
  for (var o in __cssModules) {
    this[o] = __cssModules[o];
  }
}
var mobileFirst = /* @__PURE__ */ function() {
  return __component__.exports;
}();

export { mobileFirst as default };
