import { renderless, api } from '@opentinyvue/vue-renderless/currency/vue';
import { defineComponent, props, setup } from '@opentinyvue/vue-common';
import Select from '@opentinyvue/vue-select';
import Option from '@opentinyvue/vue-option';
import { IconStarActive, IconStarDisable } from '@opentinyvue/vue-icon';

function normalizeComponent(scriptExports, render, staticRenderFns, functionalTemplate, injectStyles, scopeId, moduleIdentifier, shadowMode) {
  var options = typeof scriptExports === "function" ? scriptExports.options : scriptExports;
  if (render) {
    options.render = render;
    options.staticRenderFns = staticRenderFns;
    options._compiled = true;
  }
  var hook;
  if (injectStyles) {
    hook = injectStyles;
  }
  if (hook) {
    if (options.functional) {
      options._injectStyles = hook;
      var originalRender = options.render;
      options.render = function renderWithStyleInjection(h, context) {
        hook.call(context);
        return originalRender(h, context);
      };
    } else {
      var existing = options.beforeCreate;
      options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
    }
  }
  return {
    exports: scriptExports,
    options
  };
}

var __vue2_script = defineComponent({
  inheritAttrs: false,
  components: {
    TinySelect: Select,
    TinyOption: Option,
    IconStarActive: IconStarActive(),
    IconStarDisable: IconStarDisable()
  },
  emits: ["update:modelValue", "change", "clear", "visible-change"],
  props: [].concat(props, ["modelValue", "placeholder", "fetchCurrency", "fields", "size", "clearable", "disabled", "popperClass", "popperAppendToBody", "currency", "setDefault", "fetchDefaultCurrency", "setDefaultCurrency", "label", "dropStyle", "shape", "tip"]),
  setup: function setup$1(props2, context) {
    return setup({
      props: props2,
      context,
      renderless,
      api
    });
  }
});
var render = function render2() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c("tiny-select", _vm._b({
    staticClass: "tiny-currency",
    attrs: {
      "filterable": !_vm.shape,
      "size": _vm.size,
      "clearable": _vm.clearable,
      "label": _vm.label,
      "tip": _vm.tip,
      "shape": _vm.shape,
      "disabled": _vm.disabled,
      "placeholder": _vm.placeholder,
      "drop-style": _vm.dropStyle
    },
    on: {
      "change": _vm.change,
      "clear": function clear($event) {
        return _vm.$emit("clear");
      },
      "visible-change": function visibleChange($event) {
        return _vm.$emit("visible-change", $event);
      }
    },
    model: {
      value: _vm.state.selectedValue,
      callback: function callback($$v) {
        _vm.$set(_vm.state, "selectedValue", $$v);
      },
      expression: "state.selectedValue"
    }
  }, "tiny-select", _vm.a(_vm.$attrs, ["^on[A-Z]"]), false), _vm._l(_vm.state.options, function(item) {
    return _c("tiny-option", {
      key: item.value,
      staticClass: "tiny-currency-option",
      class: {
        "set-default": _vm.setDefault,
        "is-active": item.value === _vm.state.defaultCurrency
      },
      attrs: {
        "label": item.label,
        "value": item.value
      }
    }, [_c("span", {
      staticStyle: {
        "display": "flex"
      }
    }, [_c("span", {
      staticClass: "tiny-currency-option-label"
    }, [_vm._v(_vm._s(item.label))]), _vm.setDefault ? _c("span", {
      staticClass: "tiny-currency-option-set",
      on: {
        "click": function click($event) {
          return _vm.toogleDefaultCurrency(item.value, item.value === _vm.state.defaultCurrency);
        }
      }
    }, [_c(item.value === _vm.state.defaultCurrency ? "icon-star-active" : "icon-star-disable", {
      tag: "component"
    }), _c("span", [_vm._v(" " + _vm._s(item.value === _vm.state.defaultCurrency ? _vm.t("ui.currency.defaultCurrency") : _vm.t("ui.currency.setDefault")) + " ")])], 1) : _vm._e()])]);
  }), 1);
};
var staticRenderFns = [];
var __cssModules = {};
var __component__ = /* @__PURE__ */ normalizeComponent(__vue2_script, render, staticRenderFns, false, __vue2_injectStyles);
function __vue2_injectStyles(context) {
  for (var o in __cssModules) {
    this[o] = __cssModules[o];
  }
}
var pc = /* @__PURE__ */ function() {
  return __component__.exports;
}();

export { pc as default };
